package com.as.user.dao;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

@Data
@TableName("as_sys_menu")
public class MenuData {
	@TableId(value = "menu_id",type = IdType.AUTO)
	private Integer menuId; // 菜单ID
	@TableField(value = "menu_name")
	private String menuName; // 菜单名称id
	@TableField(value = "parent_id")
	private Integer parentId; // 父菜单ID
	@TableField(value = "menu_type")
	private String menuType; // 菜单类型(menu目录 page菜单 btn按钮)
	@TableField(value = "order_num")
	private Integer orderNum;// 显示顺序
	@TableField(value = "status")
	private String status;// 菜单状态(0正常 1停用)
	@TableField(value = "created_by")
	private String createdBy;// 创建人
	@TableField(value = "created_dt")
	private String createdSt;// 创建时间
}
