package com.as.common.utils;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.as.user.dao.Role;
import com.as.user.mapper.RoleMapper;

@Component
public class UserRole {

	@Autowired
	private RoleMapper roleMapper;
	
	public List<Role> getRoleList(Integer id){
		
		return roleMapper.findByUserId(id);
	};
}
