package com.as.user.controller;

import java.util.List;

import com.as.user.dao.UserData;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.as.common.json.requestJSON;
import com.as.user.service.UserService;

@RestController
@RequestMapping("/user")

public class UserContorller {
	@Autowired
	UserService impl;
	private static final Logger logger = LogManager.getLogger(UserContorller.class);

	@RequestMapping(value="/getAllUser", method=RequestMethod.POST)
	public requestJSON<List<UserData>> getUser(@RequestBody UserData data){
		logger.info("进入getUser方法，接收到数据data:" + data.toString());
		requestJSON<List<UserData>> json = new requestJSON<List<UserData>>();
		json.setCode(200);
		json.setData(impl.find(data));
		json.setMessage("成功");
		
		return json; //requestJSON<List<UserData>>;
	}
	
	@RequestMapping(value="/addUser", method=RequestMethod.POST)
	public requestJSON<Integer> addUser(@RequestBody UserData data){
		logger.info("进入getUser方法，接收到数据data:" + data.toString());
		requestJSON<Integer> json = new requestJSON<Integer>();
		json.setCode(200);
		json.setData(impl.add(data));
		json.setMessage("新增成功");
		
		return json; //requestJSON<List<UserData>>;
	}
	
}
