package com.as.user.mapper;




import com.as.user.dao.MenuData;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;



@Mapper
public interface MenuMapper extends BaseMapper<MenuData>{
	
	@Select("SELECT DISTINCT menu.menu_id, menu.menu_name, menu.parent_id,  menu.menu_type,  menu.order_num,  menu.status, menu.created_by, menu.created_dt FROM as_sys_users us, as_sys_role_menu me, as_sys_user_role ro, as_sys_menu menu WHERE us.user_id = ro.user_id AND ro.role_id = me.role_id AND me.menu_id = menu.menu_id AND us.user_id = #{userId};")
	List<MenuData> findByUserId(Integer userId);
	
}
